View Issue Details

IDProjectCategoryView StatusLast Update
0037379LazarusDebuggerpublic2020-07-20 14:01
ReporterLagunov Aleksey Assigned ToMartin Friebe  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSFedora 
Product Version2.1 (SVN) 
Fixed in Version2.2 
Summary0037379: FpDebug: Lazarus freezes after set breakpoint
Descriptionsetting a breakpoint during program debugging freezes Lazarus
Steps To Reproduceset debugger type - FpDebug
run progect
set breakpoint
TagsNo tags attached.
Fixed in Revision63597
LazTarget2.2
WidgetsetGTK 2
Attached Files

Activities

Martin Friebe

2020-07-18 22:13

manager   ~0124155

Just to double check on "freeze"

I can reproduce some error with the above steps:
- The project that is being debugged will get frozen (it's paused in the debugger, but the IDE shows it as running)
- debugger pause,stop,run,step, etc will do nothing

However the IDE itself is still responsive for me. I can navigate in the editor, select text. I can access menus from the IDE.
And I can access menu "Run > Reset debugger" which works (the project is terminated, and the debugger can be started again)

So just to clarify:
"freezes Lazarus" => you can do none of the above.
You can not even exit the IDE (other than killing it, with "kill -9 <pid>" ?

If so, please run with
./lazarus --debug-log=/home/name/logfile --debug-enable=DBG_VERBOSE,DBG_WARNINGS,DBG_BREAKPOINTS,FPDBG_COMMANDS
and submit the logfile.

Also: what window manager do you use?

---------------
The problem (or part of it) may have been introduced recently.
Did you use fpdebug before? Did it use to work for you ?

Unlikely to matter, but if it worked before: Did you upgrade fpc?

Martin Friebe

2020-07-19 01:25

manager   ~0124162

I committed some changes in r63597
This fixes the problems that I experienced.

Please test with that revision (or later) and let me know if it works (or improved).

If there are still issues, please include answers to my previous note. Thanks.

Lagunov Aleksey

2020-07-20 08:27

reporter   ~0124183

rev. 63602
work normal.
Thanks.

Issue History

Date Modified Username Field Change
2020-07-17 08:03 Lagunov Aleksey New Issue
2020-07-17 08:03 Lagunov Aleksey Status new => assigned
2020-07-17 08:03 Lagunov Aleksey Assigned To => Martin Friebe
2020-07-18 22:13 Martin Friebe Note Added: 0124155
2020-07-19 01:25 Martin Friebe Status assigned => feedback
2020-07-19 01:25 Martin Friebe LazTarget => -
2020-07-19 01:25 Martin Friebe Note Added: 0124162
2020-07-20 08:27 Lagunov Aleksey Note Added: 0124183
2020-07-20 08:27 Lagunov Aleksey Status feedback => assigned
2020-07-20 13:58 Martin Friebe Status assigned => resolved
2020-07-20 13:58 Martin Friebe Resolution open => fixed
2020-07-20 13:58 Martin Friebe Fixed in Version => 2.2
2020-07-20 13:58 Martin Friebe Fixed in Revision => 63597
2020-07-20 13:58 Martin Friebe LazTarget - => 2.2
2020-07-20 13:58 Martin Friebe Widgetset GTK 2 => GTK 2
2020-07-20 14:01 Lagunov Aleksey Status resolved => closed